-- Author: VertexFloat
-- Date: 22.11.2021
-- Version: Farming Simulator 22, 1.0.0.0
-- Copyright (C): VertexFloat, All Rights Reserved
-- Register BewareOfStraw specialization

g_specializationManager:addSpecialization('BewareOfStraw', 'BewareOfStraw', Utils.getFilename('src/vehicles/specializations/BewareOfStraw.lua', g_currentModDirectory), true, nil)

for vehicleName, vehicleType in pairs(g_vehicleTypeManager.types) do
	if SpecializationUtil.hasSpecialization(Cutter, vehicleType.specializations) then
		g_vehicleTypeManager:addSpecialization(vehicleName, 'BewareOfStraw')
	end
 end